#
# spec file for package s-tui
#
# Copyright (c) 2022 SUSE LLC
# Copyright (c) 2019 Malcolm J Lewis <malcolmlewis@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           s-tui
Version:        1.1.4
Release:        1.3
Summary:        Terminal based CPU stress and monitoring utility
License:        GPL-2.0-or-later
URL:            https://github.com/amanusk/s-tui
Source:         https://github.com/amanusk/s-tui/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  python3-setuptools
## MANUAL BEGIN
Requires:       python3-psutil
Requires:       python3-urwid
Recommends:     stress-ng
## MANUAL END
BuildArch:      noarch

%description
Terminal UI for monitoring your computer to monitor CPU temperature, frequency,
power and utilization in a graphical way from the terminal.

%prep
%autosetup
find s_tui/ -name "*.py" -exec sed -i 's|#!%{_bindir}/env python|#%{_bindir}/python3|' {} ";"
find s_tui/ -name "*.py" -exec sed -i 's|#!%{_bindir}/python|#%{_bindir}/python3|' {} ";"

%build
export LC_ALL=en_US.utf8
%python3_build

%install
%python3_install
%python_expand %fdupes %{buildroot}%{python3_sitelib}/

%files
%license LICENSE
%doc README.*
%{_bindir}/s-tui
%{python3_sitelib}/s_tui*

%changelog
* Sun Dec 18 2022 Dirk Müller <dmueller@suse.com>
- update to v1.1.4:
  * Update psutil dependency to fix frequency being displayed in GHz instead
    of MHz
* Tue Aug 17 2021 Martin Hauke <mardnh@gmx.de>
- Update to version 1.1.3
  * s-tui now supports power reads on AMD CPUs.
  * Fixed crashing bug on Raspberry pi.
* Sun Feb 28 2021 Martin Hauke <mardnh@gmx.de>
- Update to version 1.1.1
  Bug fixes and stability
  * Wrong reporting of duplicated values in CSV.
  * Error messages printed to screen.
* Sat Jul 11 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 1.0.2
  Bug fixes and stability realease.
  * Crash on save settings with no .config dir for user.
  * Fix for not saving summaries independently of graphs.
  * Do not display stress counter when no stress too is installed.
  * Fix call for temperature hooks not called.
* Tue Jun 16 2020 Martin Hauke <mardnh@gmx.de>
- Use correct license: GPL-2.0-only -> GPL-2.0-or-later
* Tue Jun 16 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 1.0.1
  Changes
  * Mainly bug fixes and stability.
* Tue Jan 21 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 1.0.0
  Graphical changes
  * There are now multiple graphs presented for each source.
    Temperature per core, usage per core etc.
  * The summaries on the side-menu present all the information
    in text form
  Control options
  * You can toggle both side-menu items and graphs on/off
  * now stores what graphs are selected of future uses
  * An average is display where applicable
  * Want the old look back: Just pick only the sensors you need
    to display one graph per sensor
  Under the hood
  * Everything was made to be a lot more modular, adding a new
    source is simply implementing all the class methods.
  Missing features
  * Some features were removed. Part of making s-tui more modular
    meant that some features that were specifically tailored to
    certain systems were removed. e.g.
  - Reading the max frequency with root for all cores
  - Displaying the max temperature recorded was removed due to
    lack of space. We intend to add another menu
    showing max/min/avg measurements recorded for all sensors
* Wed Jan 15 2020 Martin Hauke <mardnh@gmx.de>
- Use latest release, version 0.8.3
- Package license file
- Recommend stress-ng
* Fri Dec 27 2019 malcolmlewis@opensuse.org
- Initial build.
